### Method

# Adw Toggle set_icon_name

since: 1.7

#### Declaration [src]

    void
    adw_toggle_set_icon_name (
      AdwToggle* self,
      const char* icon_name
    )

#### Description [src]

Sets the icon name of `self` to `icon_name`.

The icon will be displayed alone or next to the label, unless `AdwToggle:child` is set.

Available since: 1.7

Sets property | `Adw.Toggle:icon-name`

#### Parameters

`icon_name`

  Type: `const char*`

  The icon name.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.